Closed Bug 1764436 Opened 3 months ago Closed 25 days ago

[FFMPEG 5.0] Video content on various web sites no longer playing on FF 99.0 on SuSE Linux

Categories

(Core :: Audio/Video: Playback, defect, P3)

Firefox 99
Desktop
Linux
defect

Tracking

()

RESOLVED INVALID
Tracking Status
firefox-esr91 --- unaffected
firefox99 --- wontfix
firefox100 --- wontfix
firefox101 --- wontfix
firefox102 --- wontfix

People

(Reporter: jphands, Unassigned)

References

(Depends on 2 open bugs, Blocks 1 open bug, Regression)

Details

(Keywords: regression)

Attachments

(4 files)

User Agent: Mozilla/5.0 (X11; Linux x86_64; rv:99.0) Gecko/20100101 Firefox/99.0

Steps to reproduce:

For a few days, video content of various sorts on a different web sites will no longer play. The sites include Facebook, Instagram and Google Photos. Instead of the video preview, a black or grey screen appears with the message...

Sorry, we're having trouble playing this video.
Learn More

The only browser which displays this behavior is FF 99.0. Previous versions were fine, as are other browsers such as Brave and Opera. The version of SuSE (Tumbleweed) is fully up to date and all codecs are installed.

System info:-

Operating System: openSUSE Tumbleweed 20220410
KDE Plasma Version: 5.24.4
KDE Frameworks Version: 5.92.0
Qt Version: 5.15.2
Kernel Version: 5.17.1-1-default (64-bit)
Graphics Platform: X11
Processors: 24 × AMD Ryzen 9 3900X 12-Core Processor
Memory: 47.0 GiB of RAM
Graphics Processor: AMD DIMGREY_CAVEFISH

Actual results:

Previously working feature stopped working at 99.0. See the attached screenshot.

Expected results:

Videos should play as normal

The Bugbug bot thinks this bug should belong to the 'Core::Audio/Video: Playback' component, and is moving the bug to that component. Please correct in case you think the bot is wrong.

Component: Untriaged → Audio/Video: Playback
Product: Firefox → Core

Thanks for the bug report. Just to confirm, Firefox 98 did not exhibit this issue? Can you please attach a copy of your about:support page and also the version of ffmpeg (libavcodec/libavformat) installed on your system. Thanks again!

Flags: needinfo?(jphands)

This is the About page.

Flags: needinfo?(jphands)

FF 98 did not exhibit this behavior. It has only been seen for about the last week, since I updated to FF 99. I'm on SuSE Tumbleweed, and keep it always up to date. Please don't hesitate to ask me for more info or if I can gather more debug info or logs.

FireFox About Page is attached.

FFMPeg info is.....

ffmpeg -version
ffmpeg version 5.0.1 Copyright (c) 2000-2022 the FFmpeg developers
built with gcc 11 (SUSE Linux)
configuration: --prefix=/usr --libdir=/usr/lib64 --shlibdir=/usr/lib64 --incdir=/usr/include/ffmpeg --extra-cflags='-O2 -Wall -D_FORTIFY_SOURCE=2 -fstack-protector-strong -funwind-tables -fasynchronous-unwind-tables -fstack-clash-protection -Werror=return-type -flto=auto -ffat-lto-objects -g' --optflags='-O2 -Wall -D_FORTIFY_SOURCE=2 -fstack-protector-strong -funwind-tables -fasynchronous-unwind-tables -fstack-clash-protection -Werror=return-type -flto=auto -ffat-lto-objects -g' --disable-htmlpages --enable-pic --disable-stripping --enable-shared --disable-static --enable-gpl --enable-version3 --disable-openssl --enable-gnutls --enable-ladspa --enable-libshaderc --enable-vulkan --disable-cuda-sdk --enable-libaom --enable-libass --enable-libbluray --enable-libbs2b --enable-libcdio --enable-libcodec2 --enable-libdav1d --enable-libdc1394 --enable-libdrm --enable-libfontconfig --enable-libfreetype --enable-libfribidi --enable-libgsm --enable-libjack --enable-libmp3lame --enable-libmysofa --enable-libopenjpeg --enable-libopenmpt --enable-libopenh264-dlopen --enable-libopus --enable-libpulse --enable-librav1e --enable-librubberband --enable-libsvtav1 --enable-libsoxr --enable-libspeex --enable-libssh --enable-libsrt --enable-libtheora --enable-libtwolame --enable-libvidstab --enable-libvmaf --enable-libvorbis --enable-libvpx --enable-libwebp --enable-libxml2 --enable-libzimg --enable-libzmq --enable-libzvbi --enable-lto --enable-lv2 --enable-libmfx --enable-vaapi --enable-vdpau --enable-version3 --enable-muxers --enable-demuxers --disable-encoders --disable-decoders --disable-decoder='mpeg4,h263,h264,hevc,vc1' --enable-encoder=',aac,apng,ass,ayuv,bmp,ffv1,ffvhuff,flac,gif,huffyuv,jpegls,libaom,libaom_av1,libcodec2,libgsm,libmp3lame,libopenh264,libopenjpeg,libopus,librav1e,libschroedinger,libspeex,libsvtav1,libtheora,libtwolame,libvorbis,libvpx_vp8,libvpx_vp9,libwebp,libwebp_anim,mjpeg,mp2,mp2fixed,mpeg1video,mpeg2video,opus,pam,pbm,pcm_alaw,pcm_f32be,pcm_f32le,pcm_f64be,pcm_f64le,pcm_mulaw,pcm_s16be,pcm_s16be_planar,pcm_s16le,pcm_s16le_planar,pcm_s24be,pcm_s24le,pcm_s24le_planar,pcm_s32be,pcm_s32le,pcm_s32le_planar,pcm_s8,pcm_s8_planar,pcm_u16be,pcm_u16le,pcm_u24be,pcm_u24le,pcm_u32be,pcm_u32le,pcm_u8,pcx,pgm,pgmyuv,png,ppm,rawvideo,sgi,srt,ssa,sunrast,targa,text,tiff,v210,v308,v408,v410,vorbis,webvtt,wrapped_avframe,xbm,xwd,y41p,yuv4,zlib,' --enable-decoder=',aac,ac3,ansi,apng,ass,ayuv,bmp,dirac,exr,ffv1,ffvhuff,ffwavesynth,flac,gif,gsm,huffyuv,ilbc,libaom,libaom_av1,libcodec2,libdav1d,libgsm,libopenh264,libopenjpeg,libopus,libschroedinger,libspeex,libvorbis,libvpx_vp8,libvpx_vp9,mjpeg,mp1,mp1float,mp2,mp2float,mp3,mp3float,mpeg1video,mpeg2video,,opus,pam,pbm,pcm_alaw,pcm_bluray,pcm_dvd,pcm_f32be,pcm_f32le,pcm_f64be,pcm_f64le,pcm_mulaw,pcm_s16be,pcm_s16be_planar,pcm_s16le,pcm_s16le_planar,pcm_s24be,pcm_s24le,pcm_s24le_planar,pcm_s32be,pcm_s32le,pcm_s32le_planar,pcm_s8,pcm_s8_planar,pcm_u16be,pcm_u16le,pcm_u24be,pcm_u24le,pcm_u32be,pcm_u32le,pcm_u8,pcx,pgm,pgmyuv,pgssub,png,ppm,rawvideo,sgi,srt,ssa,sunrast,targa,text,theora,tiff,v210,v210x,v308,v408,v410,vorbis,vp3,vp5,vp6,vp6a,vp6f,vp8,vp9,webp,webvtt,wrapped_avframe,xbm,xwd,y41p,yuv4,zlib,'
libavutil 57. 17.100 / 57. 17.100
libavcodec 59. 18.100 / 59. 18.100
libavformat 59. 16.100 / 59. 16.100
libavdevice 59. 4.100 / 59. 4.100
libavfilter 8. 24.100 / 8. 24.100
libswscale 6. 4.100 / 6. 4.100
libswresample 4. 3.100 / 4. 3.100
libpostproc 56. 3.100 / 56. 3.100

Blocks: media-triage

Would you mind testing the Latest Nightly release of Firefox? We think this may be fixed in a newer release.

Flags: needinfo?(jphands)

(In reply to Jim Mathies [:jimm] from comment #5)

Would you mind testing the Latest Nightly release of Firefox? We think this may be fixed in a newer release.

I'd be happy to. Just downloaded 101.0a1.

Will post once tested.

P

Flags: needinfo?(jphands)

Hi,

Just tested 101.0a1, and it still won't play video. However, I need to check I did a valid test.

I downloaded the nightly tarball and extracted it to a separate directory, and then just ran the firefox executable therein.
I did not de-install the existing version or remove any setup info in the ~/.mozilla directory. The nightly build didn't seem to read it anyway, as none of my previous session data or stored site info was present.

Should I do a clean install? Firefox is my default browser, and I don't want to lose all that setup and history. I have a few options....I can add a new, blank user to my KDE setup and run the nightly from there, or I can spin up a VirtualBox VM and test in there, after verifying that the problem is present. Which is the best test?

P

OK - update. I made a new user in KDE and tested that problem still occurs...it does.

Running the nightly still shows the error, and gives the following errors in the calling Konsole window....

_
fftest@vetinari:~/Downloads/firefox-101.0a1/firefox> ./firefox
ATTENTION: default value of option mesa_glthread overridden by environment.
ATTENTION: default value of option mesa_glthread overridden by environment.
ATTENTION: default value of option mesa_glthread overridden by environment.
ATTENTION: default value of option mesa_glthread overridden by environment.
[Child 31049, MediaDecoderStateMachine #1] WARNING: Decoder=7f8d39caf800 Decode error: NS_ERROR_DOM_MEDIA_FATAL_ERR (0x806e0005) - mozilla::MediaResult mozilla::FFmpegDataDecoder<59>::InitDecoder(): Couldn't open avcodec: file /builds/worker/checkouts/gecko/dom/media/MediaDecoderStateMachine.cpp:3587
[Child 31049, MediaDecoderStateMachine #1] WARNING: Decoder=7f8d39cae300 Decode error: NS_ERROR_DOM_MEDIA_FATAL_ERR (0x806e0005) - mozilla::MediaResult mozilla::FFmpegDataDecoder<59>::InitDecoder(): Couldn't open avcodec: file /builds/worker/checkouts/gecko/dom/media/MediaDecoderStateMachine.cpp:3587
[Child 31049, MediaDecoderStateMachine #1] WARNING: Decoder=7f8d39913e00 Decode error: NS_ERROR_DOM_MEDIA_FATAL_ERR (0x806e0005) - mozilla::MediaResult mozilla::FFmpegDataDecoder<59>::InitDecoder(): Couldn't open avcodec: file /builds/worker/checkouts/gecko/dom/media/MediaDecoderStateMachine.cpp:3587
[Child 31049, MediaDecoderStateMachine #1] WARNING: Decoder=7f8d31548300 Decode error: NS_ERROR_DOM_MEDIA_FATAL_ERR (0x806e0005) - mozilla::MediaResult mozilla::FFmpegDataDecoder<59>::InitDecoder(): Couldn't open avcodec: file /builds/worker/checkouts/gecko/dom/media/MediaDecoderStateMachine.cpp:3587
[Child 31049, MediaDecoderStateMachine #1] WARNING: Decoder=7f8d341f9000 Decode error: NS_ERROR_DOM_MEDIA_FATAL_ERR (0x806e0005) - mozilla::MediaResult mozilla::FFmpegDataDecoder<59>::InitDecoder(): Couldn't open avcodec: file /builds/worker/checkouts/gecko/dom/media/MediaDecoderStateMachine.cpp:3587
[2022-04-21T18:55:05Z ERROR mp4parse] Found 2 nul bytes in "\u{0}\u{0}"
[2022-04-21T18:55:05Z ERROR mp4parse] Found 2 nul bytes in "\u{0}\u{0}"
[2022-04-21T18:55:05Z ERROR mp4parse] Found 2 nul bytes in "\u{0}\u{0}"
[2022-04-21T18:55:05Z ERROR mp4parse] Found 2 nul bytes in "\u{0}\u{0}"
[Child 31759, MediaDecoderStateMachine #1] WARNING: Decoder=7fbffa9a5200 Decode error: NS_ERROR_DOM_MEDIA_FATAL_ERR (0x806e0005) - mozilla::MediaResult mozilla::FFmpegDataDecoder<59>::InitDecoder(): Couldn't open avcodec: file /builds/worker/checkouts/gecko/dom/media/MediaDecoderStateMachine.cpp:3587
[Child 31759, MediaDecoderStateMachine #1] WARNING: Decoder=7fbff2652d00 Decode error: NS_ERROR_DOM_MEDIA_FATAL_ERR (0x806e0005) - mozilla::MediaResult mozilla::FFmpegDataDecoder<59>::InitDecoder(): Couldn't open avcodec: file /builds/worker/checkouts/gecko/dom/media/MediaDecoderStateMachine.cpp:3587
[Child 31759, MediaDecoderStateMachine #1] WARNING: Decoder=7fbff2655100 Decode error: NS_ERROR_DOM_MEDIA_FATAL_ERR (0x806e0005) - mozilla::MediaResult mozilla::FFmpegDataDecoder<59>::InitDecoder(): Couldn't open avcodec: file /builds/worker/checkouts/gecko/dom/media/MediaDecoderStateMachine.cpp:3587
[Child 31759, MediaDecoderStateMachine #1] WARNING: Decoder=7fc201ac5a00 Decode error: NS_ERROR_DOM_MEDIA_FATAL_ERR (0x806e0005) - mozilla::MediaResult mozilla::FFmpegDataDecoder<59>::InitDecoder(): Couldn't open avcodec: file /builds/worker/checkouts/gecko/dom/media/MediaDecoderStateMachine.cpp:3587
[Child 32111, MediaDecoderStateMachine #1] WARNING: Decoder=7f0b19fae400 Decode error: NS_ERROR_DOM_MEDIA_FATAL_ERR (0x806e0005) - mozilla::MediaResult mozilla::FFmpegDataDecoder<59>::InitDecoder(): Couldn't open avcodec: file /builds/worker/checkouts/gecko/dom/media/MediaDecoderStateMachine.cpp:3587
[Child 32111, MediaDecoderStateMachine #1] WARNING: Decoder=7f0b17614100 Decode error: NS_ERROR_DOM_MEDIA_FATAL_ERR (0x806e0005) - mozilla::MediaResult mozilla::FFmpegDataDecoder<59>::InitDecoder(): Couldn't open avcodec: file /builds/worker/checkouts/gecko/dom/media/MediaDecoderStateMachine.cpp:3587
[Child 32111, MediaDecoderStateMachine #1] WARNING: Decoder=7f0b19fb0200 Decode error: NS_ERROR_DOM_MEDIA_FATAL_ERR (0x806e0005) - mozilla::MediaResult mozilla::FFmpegDataDecoder<59>::InitDecoder(): Couldn't open avcodec: file /builds/worker/checkouts/gecko/dom/media/MediaDecoderStateMachine.cpp:3587

###!!! [Parent][PBackgroundParent] Error: RunMessage(msgname=PBackgroundIDBDatabase::Msg_Close) Channel closing: too late to send/recv, messages will be lost
_

Looks like this might be VA API use related. Martin, any thoughts?

Flags: needinfo?(stransky)

Related -
Bug 1659209 - libavcodec objects with more than one trailing version number are not dynamically linked on opensuse
Bug 1707367 - Firefox 87.0 will not play embedded video from certain sites

In about:config, try flipping ''media.ffmpeg.vaapi.enabled' to false and see if it help.

Blocks: linux-playback
No longer blocks: media-triage

Paul, can you get a regression window using mozregression?

Flags: needinfo?(jphands)

As it's ffmpeg 5.0 is can be Bug 1750760 and some of the folowups. Please try latest nightly:
https://fedoraproject.org/wiki/How_to_debug_Firefox_problems#Testing_Mozilla_binaries

Flags: needinfo?(stransky)

(In reply to Jim Mathies [:jimm] from comment #11)

In about:config, try flipping ''media.ffmpeg.vaapi.enabled' to false and see if it help.

That variable was already set to False. Flipped it to true, and saw no difference, even after restarting FF.

Flags: needinfo?(jphands)

(In reply to Jeff Muizelaar [:jrmuizel] from comment #12)

Paul, can you get a regression window using mozregression?

Do have a suggested version for "good"?

(In reply to Martin Stránský [:stransky] (ni? me) from comment #13)

As it's ffmpeg 5.0 is can be Bug 1750760 and some of the folowups. Please try latest nightly:
https://fedoraproject.org/wiki/How_to_debug_Firefox_problems#Testing_Mozilla_binaries

I tried last night's nightly. No change.

(In reply to Paul Hands from comment #15)

(In reply to Jeff Muizelaar [:jrmuizel] from comment #12)

Paul, can you get a regression window using mozregression?

Do have a suggested version for "good"?

OK - I ran

mozregression --good 2022-02-01 --bad 99.0.1

and got the following......

6:34.80 INFO: Narrowed integration regression window from [cc23a50f, f86ef2af] (3 builds) to [70bea2a2, f86ef2af] (2 builds) (~1 steps left)
6:34.80 INFO: No more integration revisions, bisection finished.
6:34.80 INFO: Last good revision: 70bea2a282dc227f6d7d3dfaa7c2072a380e994a
6:34.80 INFO: First bad revision: f86ef2af96bad838283776b4eef8382b275da5d4
6:34.80 INFO: Pushlog:
https://hg.mozilla.org/releases/mozilla-release/pushloghtml?fromchange=70bea2a282dc227f6d7d3dfaa7c2072a380e994a&tochange=f86ef2af96bad838283776b4eef8382b275da5d4

I'm not sure why that window ended up including so much.

Try mozregression --good 98 --bad 99

Flags: needinfo?(jphands)

It's here:

https://searchfox.org/mozilla-central/rev/0ffae75b690219858e5a45a39f8759a8aee7b9a2/dom/media/platforms/ffmpeg/FFmpegDataDecoder.cpp#118

I suspect there's a system miss configuration or so or we need to update our code for ffmpeg 5.0.1. I don't think it's a regression as 98 ignored the ffmpeg 5.0 completely....so you may find a bug where ffmpeg 5.0 support was added by mozregression.

To revert it to 98 state you can set media.ffmpeg.enabled to false at about:config.

(In reply to Martin Stránský [:stransky] (ni? me) from comment #19)

It's here:

https://searchfox.org/mozilla-central/rev/0ffae75b690219858e5a45a39f8759a8aee7b9a2/dom/media/platforms/ffmpeg/FFmpegDataDecoder.cpp#118

I suspect there's a system miss configuration or so or we need to update our code for ffmpeg 5.0.1. I don't think it's a regression as 98 ignored the ffmpeg 5.0 completely....so you may find a bug where ffmpeg 5.0 support was added by mozregression.

To revert it to 98 state you can set media.ffmpeg.enabled to false at about:config.

I tried setting media.ffmpeg.enabled to false, and that makes matters worse. On FaceBook, it causes some pictures (NOT video) to fail to load....so I don't think it reverted to 98 state. Resetting that flag to true restores me to the situation as of now....videos don't play.

Flags: needinfo?(jphands)

I ran mozregression --good 98 --bad 99 as suggested. Result is.....

7:57.54 INFO: Narrowed integration regression window from [62e1d235, 14a29694] (3 builds) to [62e1d235, 0c6b7084] (2 builds) (~1 steps left)
7:57.54 INFO: No more integration revisions, bisection finished.
7:57.54 INFO: Last good revision: 62e1d235191a869371affbf33c9769d7aef35646
7:57.54 INFO: First bad revision: 0c6b7084cdb596a7704efc258fecd6f760170618
7:57.54 INFO: Pushlog:
https://hg.mozilla.org/integration/autoland/pushloghtml?fromchange=62e1d235191a869371affbf33c9769d7aef35646&tochange=0c6b7084cdb596a7704efc258fecd6f760170618

Regressed by: 1750760
Has Regression Range: --- → yes
Keywords: regression

Set release status flags based on info from the regressing bug 1750760

The severity field is not set for this bug.
:jimm, could you have a look please?

For more information, please visit auto_nag documentation.

Flags: needinfo?(jmathies)
Summary: Video content on various web sites no longer playing on FF 99.0 on SuSE Linux → [FFMPEG 5.0] Video content on various web sites no longer playing on FF 99.0 on SuSE Linux
Priority: -- → P3
Keywords: regression
No longer regressed by: 1750760

Please try to create a new profile and try latest nightly with it. I expect this affects only h264 clips as VP8/9 is decoded via ffvpx.
Please run with MOZ_LOG="PlatformDecoderModule:5" env variable and attach the log here.
Thanks.

Flags: needinfo?(jphands)
Severity: -- → S4
Flags: needinfo?(jmathies)
Flags: needinfo?(jphands)

(In reply to Martin Stránský [:stransky] (ni? me) from comment #24)

Please try to create a new profile and try latest nightly with it. I expect this affects only h264 clips as VP8/9 is decoded via ffvpx.
Please run with MOZ_LOG="PlatformDecoderModule:5" env variable and attach the log here.
Thanks.

I created a new user from scratch, with no .mozilla directory. I downloaded the most recent nightly and set the environment variable as requested.
The fault still appears, and the log file is attached as fflog.

Here we come:
[RDD 24982: MediaPDecoder #2]: D/PlatformDecoderModule FFMPEG: codec libopenh264 : OpenH264 H.264 / AVC / MPEG-4 AVC / MPEG-4 part 10

You use ffmpeg with OpenH264 - it's known to be broken. There's even a Bug 1755361 to disable that combination.

Status: UNCONFIRMED → RESOLVED
Closed: 2 months ago
Resolution: --- → DUPLICATE
Duplicate of bug: 1755361

Why would using OpenH264 with ffmpeg have regressed by bug 1750760?

Flags: needinfo?(stransky)

(In reply to Jeff Muizelaar [:jrmuizel] from comment #28)

Why would using OpenH264 with ffmpeg have regressed by bug 1750760?

Because they ship ffmpeg 5.0 with OpenH264 and ffmpeg 5.0 support was implemented in Firefox 99.

Flags: needinfo?(stransky)

I guess the SUSE ffmpeg package is in some bad state. I use ffmpeg 5.0 with build-in h264 decoder and that works fine.

And prior to 99, Firefox was using an older version of ffmpeg that was using the built-in h264 decoder and not using OpenH264?
i.e. the user has both versions of ffmpeg installed and we're choosing the bad 5.0 version instead of the better older one?

Flags: needinfo?(stransky)

Paul, can you post some urls for videos that are broken?

Flags: needinfo?(jphands)

(In reply to Jeff Muizelaar [:jrmuizel] from comment #31)

And prior to 99, Firefox was using an older version of ffmpeg that was using the built-in h264 decoder and not using OpenH264?
i.e. the user has both versions of ffmpeg installed and we're choosing the bad 5.0 version instead of the better older one?

Frankly, I have no idea. Paul, can you clarify that? Do you have more than one ffmpeg version installed?
Also that's SUSE Tumbleweed which means (AFAIK) rolling release distro in development state with continuous updates so I guess it can change its package setup anytime.

Flags: needinfo?(stransky)

(In reply to Jeff Muizelaar [:jrmuizel] from comment #32)

Paul, can you post some urls for videos that are broken?

OK - one parent post is on Facebook, in my feed at

https://www.facebook.com/greatscot01

and it's the second entry, about a Movie premiere for Elie Tahari. A broken movie in this post is at

https://www.facebook.com/100010199078995/videos/pcb.1657448207938466/5306795662677734

There's another at

https://www.facebook.com/100010199078995/videos/pcb.1651920751824545/689522418769749

A thought occurs.....all of the videos I've seen failing have some things in common .... they were all shot on Android 11 or 12 on the same Samsung Galaxy Z Fold 3 and then downloaded from Google Photos to my SuSE Tumbleweed desktop. They play just fine in Google Photos on the phone, but won't play on Google Photos on FF on Tumbleweed. They also won't play on Facebook on FF on Tumbleweed once posted, even after whatever processing/conversion FaceBook does.

Flags: needinfo?(jphands)
Flags: needinfo?(jphands)

(In reply to Martin Stránský [:stransky] (ni? me) from comment #33)

(In reply to Jeff Muizelaar [:jrmuizel] from comment #31)

And prior to 99, Firefox was using an older version of ffmpeg that was using the built-in h264 decoder and not using OpenH264?
i.e. the user has both versions of ffmpeg installed and we're choosing the bad 5.0 version instead of the better older one?

Frankly, I have no idea. Paul, can you clarify that? Do you have more than one ffmpeg version installed?
Also that's SUSE Tumbleweed which means (AFAIK) rolling release distro in development state with continuous updates so I guess it can change its package setup anytime.

I took a deeper dive into the TumbleWeed package manager. Jeff had a good idea...while FFMPEG 5 was installed, there were also remnant files from version 4 still installed, but not the actual v4 binary. I cleaned it up to remove v5, and have v4 cleanly installed, and restarted FireFox. Sadly, it still fails to play the videos...but I didn't do that on a clean, new user install. It also still fails on https://bespoke-pudding-8f800e.netlify.app/? as asked elsewhere, giving a message that the video can't be played because the file is corrupt. The same link works just fine on Opera, so it's definitely a FireFox issue.

Tumbleweed is indeed a rolling release, and the packaging can change daily.

Just out of curiosity, I removed FFMPEG 4 and installed version 3. Videos still fail on Firefox and work on Opera. I'm confused now!

Flags: needinfo?(jphands)

Can you see if the regression window is the same with FFMPEG 4 installed?

Flags: needinfo?(jphands)

Darkspirit, does https://bespoke-pudding-8f800e.netlify.app/ play correctly for you if you're using openh264 for decoding?

Flags: needinfo?(jan)

MOZ_LOG="PlatformDecoderModule:5" will tell you where the problem is so please attach the log. FFmpeg 4 should work out of the box.

(In reply to Martin Stránský [:stransky] (ni? me) from comment #39)

MOZ_LOG="PlatformDecoderModule:5" will tell you where the problem is so please attach the log. FFmpeg 4 should work out of the box.

Setting MOZ_LOG with FFMPEG 4 installed still shows the error. The log is attached as FF-log-ffmpeg-4-moz_log-PlatformDecoderModule:5

Annoyingly, mozregression now doesn't work! It fails when I issue the same command I did yesterday...

phands@vetinari:~> mozregression --good 2022-03-01 --bad 99.0.1
0:00.10 INFO: Assuming repo mozilla-release
0:00.10 INFO: Using tag FIREFOX_99_0_1_RELEASE for release 99.0.1
0:00.11 INFO: Getting mozilla-release builds between 2022-03-01 and FIREFOX_99_0_1_RELEASE
0:00.99 INFO: Using fe08d4bea805ddb18d62a7fe24dac0a26df2d0c5 (pushed on 2022-03-02 14:35:20) for date 2022-03-01
0:01.54 INFO: Testing good and bad builds to ensure that they are really good and bad...
0:01.54 INFO: Downloading build from: https://firefox-ci-tc.services.mozilla.com/api/queue/v1/task/A706XsAiTpqGaQNG39KOBg/runs/0/artifacts/public%2Fbuild%2Ftarget.tar.bz2
===== Downloaded 100% =====
0:05.41 INFO: Running mozilla-release build built on 2022-03-02 16:04:04.159000, revision fe08d4be
0:11.93 INFO: Launching /tmp/tmp0pdmc1mv/firefox/firefox
0:11.93 INFO: Application command: /tmp/tmp0pdmc1mv/firefox/firefox -profile /tmp/tmpo83nn7o1.mozrunner
0:11.93 INFO: application_buildid: 20220302143520
0:11.93 INFO: application_changeset: fe08d4bea805ddb18d62a7fe24dac0a26df2d0c5
0:11.93 INFO: application_name: Firefox
0:11.93 INFO: application_repository: https://hg.mozilla.org/releases/mozilla-release
0:11.93 INFO: application_version: 98.0
Was this integration build good, bad, or broken? (type 'good', 'bad', 'skip', 'retry' or 'exit' and press Enter): bad
1:08.83 ERROR: Build was expected to be good! The initial good/bad range seems incorrect.

Flags: needinfo?(jphands)

(In reply to Paul Hands from comment #40)

Was this integration build good, bad, or broken? (type 'good', 'bad', 'skip', 'retry' or 'exit' and press Enter): bad
1:08.83 ERROR: Build was expected to be good! The initial good/bad range seems incorrect.

This suggests that Firefox 98 is also broken with FFMPEG 4. If you reinstall FFMPEG 5 are you able to succeed running mozregression?

Flags: needinfo?(jphands)

(In reply to Jeff Muizelaar [:jrmuizel] from comment #42)

(In reply to Paul Hands from comment #40)

Was this integration build good, bad, or broken? (type 'good', 'bad', 'skip', 'retry' or 'exit' and press Enter): bad
1:08.83 ERROR: Build was expected to be good! The initial good/bad range seems incorrect.

This suggests that Firefox 98 is also broken with FFMPEG 4. If you reinstall FFMPEG 5 are you able to succeed running mozregression?

Bingo! Reinstalling FFMPEG 5 restores mozregression. The output is ....

8:16.92 INFO: Narrowed integration regression window from [62e1d235, 14a29694] (3 builds) to [62e1d235, 0c6b7084] (2 builds) (~1 steps left)
8:16.92 INFO: No more integration revisions, bisection finished.
8:16.92 INFO: Last good revision: 62e1d235191a869371affbf33c9769d7aef35646
8:16.92 INFO: First bad revision: 0c6b7084cdb596a7704efc258fecd6f760170618
8:16.92 INFO: Pushlog:
https://hg.mozilla.org/integration/autoland/pushloghtml?fromchange=62e1d235191a869371affbf33c9769d7aef35646&tochange=0c6b7084cdb596a7704efc258fecd6f760170618

Flags: needinfo?(jphands)

(In reply to Jeff Muizelaar [:jrmuizel] from comment #38)

Darkspirit, does https://bespoke-pudding-8f800e.netlify.app/ play correctly for you if you're using openh264 for decoding?

Yes, the video plays with Flatpak Firefox (org.freedesktop.Platform (ffmpeg + fdk aac + https://github.com/endlessm/noopenh264) + org.freedesktop.Platform.openh264) on Debian Testing.

$ sudo apt install flatpak
$ sudo flatpak remote-add --if-not-exists flathub https://flathub.org/repo/flathub.flatpakrepo
$ flatpak install flathub org.mozilla.firefox

$ MOZ_LOG="PlatformDecoderModule:5" flatpak run org.mozilla.firefox https://bespoke-pudding-8f800e.netlify.app/

Note that the directories 

'/var/lib/flatpak/exports/share'
'/home/darkspirit/.local/share/flatpak/exports/share'

are not in the search path set by the XDG_DATA_DIRS environment variable, so
applications installed by Flatpak may not appear on your desktop until the
session is restarted.

Gtk-Message: 23:39:19.673: Failed to load module "canberra-gtk-module"
Gtk-Message: 23:39:19.673: Failed to load module "canberra-gtk-module"
ATTENTION: default value of option mesa_glthread overridden by environment.
ATTENTION: default value of option mesa_glthread overridden by environment.
ATTENTION: default value of option mesa_glthread overridden by environment.
[Child 94: Main Thread]: D/PlatformDecoderModule PDMInitializer, Init PDMs in Content process
[Child 94: Main Thread]: D/PlatformDecoderModule Sandbox RDD decoder supports requested type
[Child 94: Main Thread]: D/PlatformDecoderModule Sandbox RDD decoder supports requested type
[Child 94: MediaSupervisor #1]: D/PlatformDecoderModule Sandbox RDD decoder supports requested type
[Child 94: MediaSupervisor #1]: D/PlatformDecoderModule Sandbox RDD decoder supports requested type
[Child 94: MediaSupervisor #1]: D/PlatformDecoderModule Sandbox RDD decoder supports requested type
[Child 94: MediaSupervisor #1]: D/PlatformDecoderModule Sandbox RDD decoder supports requested type
[RDD 271: Main Thread]: D/PlatformDecoderModule PDMInitializer, Init PDMs in RDD process
[RDD 271: Main Thread]: D/PlatformDecoderModule Agnostic decoder supports requested type
[RDD 271: Main Thread]: D/PlatformDecoderModule Agnostic decoder supports requested type
[RDD 271: Main Thread]: D/PlatformDecoderModule Agnostic decoder supports requested type
[RDD 271: Main Thread]: D/PlatformDecoderModule Agnostic decoder supports requested type
[RDD 271: MediaSupervisor #1]: D/PlatformDecoderModule FFMPEG: FFmpegVideoDecoder::FFmpegVideoDecoder MIME video/avc Codec ID 27
[RDD 271: MediaSupervisor #1]: D/PlatformDecoderModule FFMPEG: VA-API is disabled by preference.
[RDD 271: MediaPDecoder #1]: D/PlatformDecoderModule FFMPEG: Initialising FFmpeg decoder
[RDD 271: MediaPDecoder #1]: D/PlatformDecoderModule FFMPEG:   codec libopenh264 : OpenH264 H.264 / AVC / MPEG-4 AVC / MPEG-4 part 10
[RDD 271: MediaPDecoder #2]: D/PlatformDecoderModule FFMPEG: Initialising FFmpeg decoder
[RDD 271: MediaPDecoder #2]: D/PlatformDecoderModule FFMPEG:   codec libfdk_aac : Fraunhofer FDK AAC
[RDD 271: MediaPDecoder #1]: D/PlatformDecoderModule FFMPEG: Set get_buffer2 for customized buffer allocation
[OpenH264] this = 0x0x7f3f97567000, Info:CWelsDecoder::SetOption():DECODER_OPTION_TRACE_CALLBACK callback = 0x7f3f96b967f0.
[libopenh264 @ 0x7f3f97551d00] [OpenH264] this = 0x0x7f3f97567000, Info:CWelsDecoder::init_decoder(), openh264 codec version = d13f170, ParseOnly = 0
[libopenh264 @ 0x7f3f97551d00] [OpenH264] this = 0x0x7f3f97567000, Info:CWelsDecoder::init_decoder(), openh264 codec version = d13f170, ParseOnly = 0
[libopenh264 @ 0x7f3f97551d00] [OpenH264] this = 0x0x7f3f97567000, Info:eVideoType: 1
[RDD 271: MediaPDecoder #1]: D/PlatformDecoderModule FFMPEG:   FFmpeg decoder init successful.
[RDD 271: MediaPDecoder #2]: D/PlatformDecoderModule FFMPEG:   FFmpeg decoder init successful.
[Child 94: MediaPDecoder #1]: V/PlatformDecoderModule AudioTrimmer[7f26a22d4ca0] ::PrepareTrimmers: sample[0,42666] no trimming information
[libopenh264 @ 0x7f3f97551d00] [OpenH264] this = 0x0x7f3f97567000, Warning: max_num_ref_frames exceeds level limits!
[libopenh264 @ 0x7f3f97551d00] [OpenH264] this = 0x0x7f3f97567000, Info:WelsRequestMem(): memory alloc size = 1088 * 1920, ref list size = 7
[libfdk_aac @ 0x7f3f97552200] 2 channels - front:2 side:0 back:0 lfe:0 top:0
[Child 94: MediaPDecoder #2]: V/PlatformDecoderModule AudioTrimmer[7f26a22d4ca0] ::HandleDecodedResult: sample[0,42666] (decoded[0,42666] no trimming needed
[libopenh264 @ 0x7f3f97551d00] [OpenH264] this = 0x0x7f3f97567000, Info:SyncPictureResolutionExt(), overall memory usage: 46954558 bytes
[libopenh264 @ 0x7f3f97551d00] [OpenH264] this = 0x0x7f3f97567000, Info:DecodeFrameConstruction(): will output first frame of new sequence, 1088 x 1920, crop_left:0, crop_right:4, crop_top:0, crop_bottom:0, ignored error packet:0.
[libopenh264 @ 0x7f3f97551d00] No frame produced
[RDD 271: MediaPDecoder #3]: V/PlatformDecoderModule GetVideoBuffer: aCodecContext=7f3f97551d00 aFrame=7f3f9750c900
[RDD 271: MediaPDecoder #3]: D/PlatformDecoderModule FFMPEG: Got one frame output with pts=200000 dts=-9223372036854775808 duration=33334 opaque=-9223372036854775808
[libopenh264 @ 0x7f3f97551d00] [OpenH264] this = 0x0x7f3f97567000, Info:CWelsDecoder::~CWelsDecoder()
[libopenh264 @ 0x7f3f97551d00] [OpenH264] this = 0x0x7f3f97567000, Info:CWelsDecoder::UninitDecoderCtx(), openh264 codec version = d13f170.
[libopenh264 @ 0x7f3f97551d00] [OpenH264] this = 0x0x7f3f97567000, Info:CWelsDecoder::UninitDecoder(), verify memory usage (0 bytes) after free..
[Child 94: MediaSupervisor #1]: D/PlatformDecoderModule Sandbox RDD decoder supports requested type
[Child 94: MediaSupervisor #1]: D/PlatformDecoderModule Sandbox RDD decoder supports requested type
[RDD 271: MediaSupervisor #2]: D/PlatformDecoderModule FFMPEG: FFmpegVideoDecoder::FFmpegVideoDecoder MIME video/avc Codec ID 27
[RDD 271: MediaSupervisor #2]: D/PlatformDecoderModule FFMPEG: VA-API is disabled by preference.
[RDD 271: MediaPDecoder #2]: D/PlatformDecoderModule FFMPEG: Initialising FFmpeg decoder
[RDD 271: MediaPDecoder #2]: D/PlatformDecoderModule FFMPEG:   codec libopenh264 : OpenH264 H.264 / AVC / MPEG-4 AVC / MPEG-4 part 10
[RDD 271: MediaPDecoder #1]: D/PlatformDecoderModule FFMPEG: Initialising FFmpeg decoder
[RDD 271: MediaPDecoder #1]: D/PlatformDecoderModule FFMPEG:   codec libfdk_aac : Fraunhofer FDK AAC
[RDD 271: MediaPDecoder #2]: D/PlatformDecoderModule FFMPEG: Set get_buffer2 for customized buffer allocation
[OpenH264] this = 0x0x7f3f953c2000, Info:CWelsDecoder::SetOption():DECODER_OPTION_TRACE_CALLBACK callback = 0x7f3f96b967f0.
[libopenh264 @ 0x7f3f97551d00] [OpenH264] this = 0x0x7f3f953c2000, Info:CWelsDecoder::init_decoder(), openh264 codec version = d13f170, ParseOnly = 0
[libopenh264 @ 0x7f3f97551d00] [OpenH264] this = 0x0x7f3f953c2000, Info:CWelsDecoder::init_decoder(), openh264 codec version = d13f170, ParseOnly = 0
[libopenh264 @ 0x7f3f97551d00] [OpenH264] this = 0x0x7f3f953c2000, Info:eVideoType: 1
[RDD 271: MediaPDecoder #2]: D/PlatformDecoderModule FFMPEG:   FFmpeg decoder init successful.
[RDD 271: MediaPDecoder #1]: D/PlatformDecoderModule FFMPEG:   FFmpeg decoder init successful.
[Child 94: MediaPDecoder #1]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::PrepareTrimmers: sample[0,42666] no trimming information
[libopenh264 @ 0x7f3f97551d00] [OpenH264] this = 0x0x7f3f953c2000, Warning: max_num_ref_frames exceeds level limits!
[libopenh264 @ 0x7f3f97551d00] [OpenH264] this = 0x0x7f3f953c2000, Info:WelsRequestMem(): memory alloc size = 1088 * 1920, ref list size = 7
[libfdk_aac @ 0x7f3f97552200] 2 channels - front:2 side:0 back:0 lfe:0 top:0
[Child 94: MediaPDecoder #3]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::HandleDecodedResult: sample[0,42666] (decoded[0,42666] no trimming needed
[libopenh264 @ 0x7f3f97551d00] [OpenH264] this = 0x0x7f3f953c2000, Info:SyncPictureResolutionExt(), overall memory usage: 46954558 bytes
[libopenh264 @ 0x7f3f97551d00] [OpenH264] this = 0x0x7f3f953c2000, Info:DecodeFrameConstruction(): will output first frame of new sequence, 1088 x 1920, crop_left:0, crop_right:4, crop_top:0, crop_bottom:0, ignored error packet:0.
[libopenh264 @ 0x7f3f97551d00] No frame produced
[RDD 271: MediaPDecoder #3]: V/PlatformDecoderModule GetVideoBuffer: aCodecContext=7f3f97551d00 aFrame=7f3f9750de00
[RDD 271: MediaPDecoder #3]: D/PlatformDecoderModule FFMPEG: Got one frame output with pts=200000 dts=-9223372036854775808 duration=33334 opaque=-9223372036854775808
[Child 94: MediaPDecoder #2]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::PrepareTrimmers: sample[42666,85333] no trimming information
[libfdk_aac @ 0x7f3f97552200] 2 channels - front:2 side:0 back:0 lfe:0 top:0
[Child 94: MediaPDecoder #3]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::HandleDecodedResult: sample[42666,85333] (decoded[42666,85332] no trimming needed
[Child 94: MediaPDecoder #3]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::PrepareTrimmers: sample[85333,128000] no trimming information
[libfdk_aac @ 0x7f3f97552200] 2 channels - front:2 side:0 back:0 lfe:0 top:0
[Child 94: MediaPDecoder #1]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::HandleDecodedResult: sample[85333,128000] (decoded[85333,127999] no trimming needed
[Child 94: MediaPDecoder #1]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::PrepareTrimmers: sample[128000,170666] no trimming information
[libfdk_aac @ 0x7f3f97552200] 2 channels - front:2 side:0 back:0 lfe:0 top:0
[Child 94: MediaPDecoder #3]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::HandleDecodedResult: sample[128000,170666] (decoded[128000,170666] no trimming needed
[Child 94: MediaPDecoder #3]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::PrepareTrimmers: sample[170666,213333] no trimming information
[libfdk_aac @ 0x7f3f97552200] 2 channels - front:2 side:0 back:0 lfe:0 top:0
[Child 94: MediaPDecoder #2]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::HandleDecodedResult: sample[170666,213333] (decoded[170666,213332] no trimming needed
[Child 94: MediaPDecoder #2]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::PrepareTrimmers: sample[213333,256000] no trimming information
[libfdk_aac @ 0x7f3f97552200] 2 channels - front:2 side:0 back:0 lfe:0 top:0
[Child 94: MediaPDecoder #1]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::HandleDecodedResult: sample[213333,256000] (decoded[213333,255999] no trimming needed
[Child 94: MediaPDecoder #1]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::PrepareTrimmers: sample[256000,298666] no trimming information
[libfdk_aac @ 0x7f3f97552200] 2 channels - front:2 side:0 back:0 lfe:0 top:0
[Child 94: MediaPDecoder #2]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::HandleDecodedResult: sample[256000,298666] (decoded[256000,298666] no trimming needed
[Child 94: MediaPDecoder #2]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::PrepareTrimmers: sample[298666,341333] no trimming information
[libfdk_aac @ 0x7f3f97552200] 2 channels - front:2 side:0 back:0 lfe:0 top:0
[Child 94: MediaPDecoder #1]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::HandleDecodedResult: sample[298666,341333] (decoded[298666,341332] no trimming needed
[Child 94: MediaPDecoder #1]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::PrepareTrimmers: sample[341333,384000] no trimming information
[libfdk_aac @ 0x7f3f97552200] 2 channels - front:2 side:0 back:0 lfe:0 top:0
[Child 94: MediaPDecoder #2]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::HandleDecodedResult: sample[341333,384000] (decoded[341333,383999] no trimming needed
[Child 94: MediaPDecoder #2]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::PrepareTrimmers: sample[384000,426666] no trimming information
[libfdk_aac @ 0x7f3f97552200] 2 channels - front:2 side:0 back:0 lfe:0 top:0
[Child 94: MediaPDecoder #1]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::HandleDecodedResult: sample[384000,426666] (decoded[384000,426666] no trimming needed
[Child 94: MediaPDecoder #1]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::PrepareTrimmers: sample[426666,469333] no trimming information
[libfdk_aac @ 0x7f3f97552200] 2 channels - front:2 side:0 back:0 lfe:0 top:0
[Child 94: MediaPDecoder #2]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::HandleDecodedResult: sample[426666,469333] (decoded[426666,469332] no trimming needed
[Child 94: MediaPDecoder #2]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::PrepareTrimmers: sample[469333,512000] no trimming information
[libfdk_aac @ 0x7f3f97552200] 2 channels - front:2 side:0 back:0 lfe:0 top:0
[Child 94: MediaPDecoder #3]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::HandleDecodedResult: sample[469333,512000] (decoded[469333,511999] no trimming needed
[Child 94: MediaPDecoder #3]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::PrepareTrimmers: sample[512000,554666] no trimming information
[libfdk_aac @ 0x7f3f97552200] 2 channels - front:2 side:0 back:0 lfe:0 top:0
[Child 94: MediaPDecoder #2]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::HandleDecodedResult: sample[512000,554666] (decoded[512000,554666] no trimming needed
[Child 94: MediaPDecoder #2]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::PrepareTrimmers: sample[554666,597333] no trimming information
[libfdk_aac @ 0x7f3f97552200] 2 channels - front:2 side:0 back:0 lfe:0 top:0
[Child 94: MediaPDecoder #1]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::HandleDecodedResult: sample[554666,597333] (decoded[554666,597332] no trimming needed
[Child 94: MediaPDecoder #1]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::PrepareTrimmers: sample[597333,640000] no trimming information
[libfdk_aac @ 0x7f3f97552200] 2 channels - front:2 side:0 back:0 lfe:0 top:0
[Child 94: MediaPDecoder #3]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::HandleDecodedResult: sample[597333,640000] (decoded[597333,639999] no trimming needed
[Child 94: MediaPDecoder #3]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::PrepareTrimmers: sample[640000,682666] no trimming information
[libfdk_aac @ 0x7f3f97552200] 2 channels - front:2 side:0 back:0 lfe:0 top:0
[Child 94: MediaPDecoder #2]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::HandleDecodedResult: sample[640000,682666] (decoded[640000,682666] no trimming needed
[Child 94: MediaPDecoder #2]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::PrepareTrimmers: sample[682666,725333] no trimming information
[libfdk_aac @ 0x7f3f97552200] 2 channels - front:2 side:0 back:0 lfe:0 top:0
[Child 94: MediaPDecoder #1]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::HandleDecodedResult: sample[682666,725333] (decoded[682666,725332] no trimming needed
[Child 94: MediaPDecoder #1]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::PrepareTrimmers: sample[725333,768000] no trimming information
[libfdk_aac @ 0x7f3f97552200] 2 channels - front:2 side:0 back:0 lfe:0 top:0
[Child 94: MediaPDecoder #3]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::HandleDecodedResult: sample[725333,768000] (decoded[725333,767999] no trimming needed
[Child 94: MediaPDecoder #3]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::PrepareTrimmers: sample[768000,810666] no trimming information
[libfdk_aac @ 0x7f3f97552200] 2 channels - front:2 side:0 back:0 lfe:0 top:0
[Child 94: MediaPDecoder #1]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::HandleDecodedResult: sample[768000,810666] (decoded[768000,810666] no trimming needed
[Child 94: MediaPDecoder #1]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::PrepareTrimmers: sample[810666,853333] no trimming information
[libfdk_aac @ 0x7f3f97552200] 2 channels - front:2 side:0 back:0 lfe:0 top:0
[Child 94: MediaPDecoder #2]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::HandleDecodedResult: sample[810666,853333] (decoded[810666,853332] no trimming needed
[Child 94: MediaPDecoder #2]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::PrepareTrimmers: sample[853333,896000] no trimming information
[libfdk_aac @ 0x7f3f97552200] 2 channels - front:2 side:0 back:0 lfe:0 top:0
[Child 94: MediaPDecoder #3]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::HandleDecodedResult: sample[853333,896000] (decoded[853333,895999] no trimming needed
[Child 94: MediaPDecoder #3]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::PrepareTrimmers: sample[896000,938666] no trimming information
[libfdk_aac @ 0x7f3f97552200] 2 channels - front:2 side:0 back:0 lfe:0 top:0
[Child 94: MediaPDecoder #1]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::HandleDecodedResult: sample[896000,938666] (decoded[896000,938666] no trimming needed
[Child 94: MediaPDecoder #1]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::PrepareTrimmers: sample[938666,981333] no trimming information
[libfdk_aac @ 0x7f3f97552200] 2 channels - front:2 side:0 back:0 lfe:0 top:0
[Child 94: MediaPDecoder #3]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::HandleDecodedResult: sample[938666,981333] (decoded[938666,981332] no trimming needed
[Child 94: MediaPDecoder #3]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::PrepareTrimmers: sample[981333,1024000] no trimming information
[libfdk_aac @ 0x7f3f97552200] 2 channels - front:2 side:0 back:0 lfe:0 top:0
[Child 94: MediaPDecoder #1]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::HandleDecodedResult: sample[981333,1024000] (decoded[981333,1023999] no trimming needed
[Child 94: MediaPDecoder #1]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::PrepareTrimmers: sample[1024000,1066666] no trimming information
[libfdk_aac @ 0x7f3f97552200] 2 channels - front:2 side:0 back:0 lfe:0 top:0
[Child 94: MediaPDecoder #2]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::HandleDecodedResult: sample[1024000,1066666] (decoded[1024000,1066666] no trimming needed
[Child 94: MediaPDecoder #2]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::PrepareTrimmers: sample[1066666,1109333] no trimming information
[libfdk_aac @ 0x7f3f97552200] 2 channels - front:2 side:0 back:0 lfe:0 top:0
[Child 94: MediaPDecoder #1]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::HandleDecodedResult: sample[1066666,1109333] (decoded[1066666,1109332] no trimming needed
[Child 94: MediaPDecoder #1]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::PrepareTrimmers: sample[1109333,1152000] no trimming information
[libfdk_aac @ 0x7f3f97552200] 2 channels - front:2 side:0 back:0 lfe:0 top:0
[Child 94: MediaPDecoder #3]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::HandleDecodedResult: sample[1109333,1152000] (decoded[1109333,1151999] no trimming needed
[Child 94: MediaPDecoder #1]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::PrepareTrimmers: sample[1152000,1194666] no trimming information
[libfdk_aac @ 0x7f3f97552200] 2 channels - front:2 side:0 back:0 lfe:0 top:0
[Child 94: MediaPDecoder #2]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::HandleDecodedResult: sample[1152000,1194666] (decoded[1152000,1194666] no trimming needed
[Child 94: MediaPDecoder #2]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::PrepareTrimmers: sample[1194666,1237333] no trimming information
[libfdk_aac @ 0x7f3f97552200] 2 channels - front:2 side:0 back:0 lfe:0 top:0
[Child 94: MediaPDecoder #3]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::HandleDecodedResult: sample[1194666,1237333] (decoded[1194666,1237332] no trimming needed
[Child 94: MediaPDecoder #3]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::PrepareTrimmers: sample[1237333,1280000] no trimming information
[libfdk_aac @ 0x7f3f97552200] 2 channels - front:2 side:0 back:0 lfe:0 top:0
[Child 94: MediaPDecoder #2]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::HandleDecodedResult: sample[1237333,1280000] (decoded[1237333,1279999] no trimming needed
[Child 94: MediaPDecoder #2]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::PrepareTrimmers: sample[1280000,1322666] no trimming information
[libfdk_aac @ 0x7f3f97552200] 2 channels - front:2 side:0 back:0 lfe:0 top:0
[Child 94: MediaPDecoder #3]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::HandleDecodedResult: sample[1280000,1322666] (decoded[1280000,1322666] no trimming needed
[Child 94: MediaPDecoder #3]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::PrepareTrimmers: sample[1322666,1365333] no trimming information
[libfdk_aac @ 0x7f3f97552200] 2 channels - front:2 side:0 back:0 lfe:0 top:0
[Child 94: MediaPDecoder #1]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::HandleDecodedResult: sample[1322666,1365333] (decoded[1322666,1365332] no trimming needed
[Child 94: MediaPDecoder #1]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::PrepareTrimmers: sample[1365333,1408000] no trimming information
[libfdk_aac @ 0x7f3f97552200] 2 channels - front:2 side:0 back:0 lfe:0 top:0
[Child 94: MediaPDecoder #2]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::HandleDecodedResult: sample[1365333,1408000] (decoded[1365333,1407999] no trimming needed
[Child 94: MediaPDecoder #2]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::PrepareTrimmers: sample[1408000,1450666] no trimming information
[libfdk_aac @ 0x7f3f97552200] 2 channels - front:2 side:0 back:0 lfe:0 top:0
[Child 94: MediaPDecoder #3]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::HandleDecodedResult: sample[1408000,1450666] (decoded[1408000,1450666] no trimming needed
[Child 94: MediaPDecoder #3]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::PrepareTrimmers: sample[1450666,1493333] no trimming information
[libfdk_aac @ 0x7f3f97552200] 2 channels - front:2 side:0 back:0 lfe:0 top:0
[Child 94: MediaPDecoder #1]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::HandleDecodedResult: sample[1450666,1493333] (decoded[1450666,1493332] no trimming needed
[Child 94: MediaPDecoder #3]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::PrepareTrimmers: sample[1493333,1536000] no trimming information
[libfdk_aac @ 0x7f3f97552200] 2 channels - front:2 side:0 back:0 lfe:0 top:0
[Child 94: MediaPDecoder #2]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::HandleDecodedResult: sample[1493333,1536000] (decoded[1493333,1535999] no trimming needed
[Child 94: MediaPDecoder #1]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::PrepareTrimmers: sample[1536000,1578666] no trimming information
[libfdk_aac @ 0x7f3f97552200] 2 channels - front:2 side:0 back:0 lfe:0 top:0
[Child 94: MediaPDecoder #3]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::HandleDecodedResult: sample[1536000,1578666] (decoded[1536000,1578666] no trimming needed
[Child 94: MediaPDecoder #3]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::PrepareTrimmers: sample[1578666,1621333] no trimming information
[libfdk_aac @ 0x7f3f97552200] 2 channels - front:2 side:0 back:0 lfe:0 top:0
[Child 94: MediaPDecoder #1]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::HandleDecodedResult: sample[1578666,1621333] (decoded[1578666,1621332] no trimming needed
[Child 94: MediaPDecoder #1]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::PrepareTrimmers: sample[1621333,1664000] no trimming information
[libfdk_aac @ 0x7f3f97552200] 2 channels - front:2 side:0 back:0 lfe:0 top:0
[libopenh264 @ 0x7f3f97551d00] [Child 94: MediaPDecoder #2]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::HandleDecodedResult: sample[1621333,1664000] (decoded[1621333,1663999] no trimming needed
No frame produced
[Child 94: MediaPDecoder #2]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::PrepareTrimmers: sample[1664000,1706666] no trimming information
[libfdk_aac @ 0x7f3f97552200] 2 channels - front:2 side:0 back:0 lfe:0 top:0
[Child 94: MediaPDecoder #1]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::HandleDecodedResult: sample[1664000,1706666] (decoded[1664000,1706666] no trimming needed
[Child 94: MediaPDecoder #1]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::PrepareTrimmers: sample[1706666,1749333] no trimming information
[libfdk_aac @ 0x7f3f97552200] 2 channels - front:2 side:0 back:0 lfe:0 top:0
[Child 94: MediaPDecoder #3]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::HandleDecodedResult: sample[1706666,1749333] (decoded[1706666,1749332] no trimming needed
[Child 94: MediaPDecoder #3]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::PrepareTrimmers: sample[1749333,1792000] no trimming information
[libfdk_aac @ 0x7f3f97552200] 2 channels - front:2 side:0 back:0 lfe:0 top:0
[Child 94: MediaPDecoder #2]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::HandleDecodedResult: sample[1749333,1792000] (decoded[1749333,1791999] no trimming needed
[Child 94: MediaPDecoder #2]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::PrepareTrimmers: sample[1792000,1834666] no trimming information
[libfdk_aac @ 0x7f3f97552200] 2 channels - front:2 side:0 back:0 lfe:0 top:0
[Child 94: MediaPDecoder #3]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::HandleDecodedResult: sample[1792000,1834666] (decoded[1792000,1834666] no trimming needed
[Child 94: MediaPDecoder #3]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::PrepareTrimmers: sample[1834666,1877333] no trimming information
[libfdk_aac @ 0x7f3f97552200] 2 channels - front:2 side:0 back:0 lfe:0 top:0
[Child 94: MediaPDecoder #1]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::HandleDecodedResult: sample[1834666,1877333] (decoded[1834666,1877332] no trimming needed
[Child 94: MediaPDecoder #1]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::PrepareTrimmers: sample[1877333,1920000] no trimming information
[libfdk_aac @ 0x7f3f97552200] 2 channels - front:2 side:0 back:0 lfe:0 top:0
[Child 94: MediaPDecoder #3]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::HandleDecodedResult: sample[1877333,1920000] (decoded[1877333,1919999] no trimming needed
[Child 94: MediaPDecoder #3]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::PrepareTrimmers: sample[1920000,1962666] no trimming information
[libfdk_aac @ 0x7f3f97552200] 2 channels - front:2 side:0 back:0 lfe:0 top:0
[Child 94: MediaPDecoder #2]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::HandleDecodedResult: sample[1920000,1962666] (decoded[1920000,1962666] no trimming needed
[Child 94: MediaPDecoder #2]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::PrepareTrimmers: sample[1962666,2005333] no trimming information
[libfdk_aac @ 0x7f3f97552200] 2 channels - front:2 side:0 back:0 lfe:0 top:0
[Child 94: MediaPDecoder #1]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::HandleDecodedResult: sample[1962666,2005333] (decoded[1962666,2005332] no trimming needed
[Child 94: MediaPDecoder #1]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::PrepareTrimmers: sample[2005333,2048000] no trimming information
[libfdk_aac @ 0x7f3f97552200] 2 channels - front:2 side:0 back:0 lfe:0 top:0
[Child 94: MediaPDecoder #2]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::HandleDecodedResult: sample[2005333,2048000] (decoded[2005333,2047999] no trimming needed
[Child 94: MediaPDecoder #2]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::PrepareTrimmers: sample[2048000,2090666] no trimming information
[libfdk_aac @ 0x7f3f97552200] 2 channels - front:2 side:0 back:0 lfe:0 top:0
[Child 94: MediaPDecoder #1]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::HandleDecodedResult: sample[2048000,2090666] (decoded[2048000,2090666] no trimming needed
[Child 94: MediaPDecoder #1]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::PrepareTrimmers: sample[2090666,2133333] no trimming information
[libfdk_aac @ 0x7f3f97552200] 2 channels - front:2 side:0 back:0 lfe:0 top:0
[Child 94: MediaPDecoder #2]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::HandleDecodedResult: sample[2090666,2133333] (decoded[2090666,2133332] no trimming needed
[Child 94: MediaPDecoder #2]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::PrepareTrimmers: sample[2133333,2176000] no trimming information
[libfdk_aac @ 0x7f3f97552200] 2 channels - front:2 side:0 back:0 lfe:0 top:0
[Child 94: MediaPDecoder #1]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::HandleDecodedResult: sample[2133333,2176000] (decoded[2133333,2175999] no trimming needed
[Child 94: MediaPDecoder #1]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::PrepareTrimmers: sample[2176000,2218666] no trimming information
[libfdk_aac @ 0x7f3f97552200] 2 channels - front:2 side:0 back:0 lfe:0 top:0
[Child 94: MediaPDecoder #3]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::HandleDecodedResult: sample[2176000,2218666] (decoded[2176000,2218666] no trimming needed
[Child 94: MediaPDecoder #3]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::PrepareTrimmers: sample[2218666,2261333] no trimming information
[libfdk_aac @ 0x7f3f97552200] 2 channels - front:2 side:0 back:0 lfe:0 top:0
[Child 94: MediaPDecoder #1]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::HandleDecodedResult: sample[2218666,2261333] (decoded[2218666,2261332] no trimming needed
[Child 94: MediaPDecoder #1]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::PrepareTrimmers: sample[2261333,2304000] no trimming information
[libfdk_aac @ 0x7f3f97552200] 2 channels - front:2 side:0 back:0 lfe:0 top:0
[Child 94: MediaPDecoder #3]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::HandleDecodedResult: sample[2261333,2304000] (decoded[2261333,2303999] no trimming needed
[libopenh264 @ 0x7f3f97551d00] No frame produced
[Child 94: MediaPDecoder #3]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::PrepareTrimmers: sample[2304000,2346666] no trimming information
[libfdk_aac @ 0x7f3f97552200] 2 channels - front:2 side:0 back:0 lfe:0 top:0
[Child 94: MediaPDecoder #1]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::HandleDecodedResult: sample[2304000,2346666] (decoded[2304000,2346666] no trimming needed
[RDD 271: MediaPDecoder #3]: V/PlatformDecoderModule GetVideoBuffer: aCodecContext=7f3f97551d00 aFrame=7f3f9750de00
[RDD 271: MediaPDecoder #3]: D/PlatformDecoderModule FFMPEG: Got one frame output with pts=66667 dts=-9223372036854775808 duration=33333 opaque=-9223372036854775808
[RDD 271: MediaPDecoder #1]: V/PlatformDecoderModule GetVideoBuffer: aCodecContext=7f3f97551d00 aFrame=7f3f9750de00
[RDD 271: MediaPDecoder #1]: D/PlatformDecoderModule FFMPEG: Got one frame output with pts=133334 dts=-9223372036854775808 duration=33333 opaque=-9223372036854775808
[RDD 271: MediaPDecoder #2]: V/PlatformDecoderModule GetVideoBuffer: aCodecContext=7f3f97551d00 aFrame=7f3f9750de00
[RDD 271: MediaPDecoder #2]: D/PlatformDecoderModule FFMPEG: Got one frame output with pts=166667 dts=-9223372036854775808 duration=33333 opaque=-9223372036854775808
[Child 94: MediaPDecoder #1]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::PrepareTrimmers: sample[2346666,2389333] no trimming information
[libfdk_aac @ 0x7f3f97552200] 2 channels - front:2 side:0 back:0 lfe:0 top:0
[Child 94: MediaPDecoder #3]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::HandleDecodedResult: sample[2346666,2389333] (decoded[2346666,2389332] no trimming needed
[Child 94: MediaPDecoder #3]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::PrepareTrimmers: sample[2389333,2432000] no trimming information
[libfdk_aac @ 0x7f3f97552200] 2 channels - front:2 side:0 back:0 lfe:0 top:0
[Child 94: MediaPDecoder #2]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::HandleDecodedResult: sample[2389333,2432000] (decoded[2389333,2431999] no trimming needed
[RDD 271: MediaPDecoder #3]: V/PlatformDecoderModule GetVideoBuffer: aCodecContext=7f3f97551d00 aFrame=7f3f9750de00
[RDD 271: MediaPDecoder #3]: D/PlatformDecoderModule FFMPEG: Got one frame output with pts=366667 dts=-9223372036854775808 duration=33333 opaque=-9223372036854775808
[Child 94: MediaPDecoder #2]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::PrepareTrimmers: sample[2432000,2474666] no trimming information
[libfdk_aac @ 0x7f3f97552200] 2 channels - front:2 side:0 back:0 lfe:0 top:0
[Child 94: MediaPDecoder #1]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::HandleDecodedResult: sample[2432000,2474666] (decoded[2432000,2474666] no trimming needed
[RDD 271: MediaPDecoder #2]: V/PlatformDecoderModule GetVideoBuffer: aCodecContext=7f3f97551d00 aFrame=7f3f9750de00
[RDD 271: MediaPDecoder #2]: D/PlatformDecoderModule FFMPEG: Got one frame output with pts=266667 dts=-9223372036854775808 duration=33333 opaque=-9223372036854775808
[RDD 271: MediaPDecoder #1]: V/PlatformDecoderModule GetVideoBuffer: aCodecContext=7f3f97551d00 aFrame=7f3f9750de00
[RDD 271: MediaPDecoder #1]: D/PlatformDecoderModule FFMPEG: Got one frame output with pts=233334 dts=-9223372036854775808 duration=33333 opaque=-9223372036854775808
[Child 94: MediaPDecoder #1]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::PrepareTrimmers: sample[2474666,2517333] no trimming information
[libfdk_aac @ 0x7f3f97552200] 2 channels - front:2 side:0 back:0 lfe:0 top:0
[Child 94: MediaPDecoder #2]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::HandleDecodedResult: sample[2474666,2517333] (decoded[2474666,2517332] no trimming needed
[RDD 271: MediaPDecoder #3]: V/PlatformDecoderModule GetVideoBuffer: aCodecContext=7f3f97551d00 aFrame=7f3f9750de00
[RDD 271: MediaPDecoder #3]: D/PlatformDecoderModule FFMPEG: Got one frame output with pts=300000 dts=-9223372036854775808 duration=33334 opaque=-9223372036854775808
[Child 94: MediaPDecoder #2]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::PrepareTrimmers: sample[2517333,2560000] no trimming information
[libfdk_aac @ 0x7f3f97552200] 2 channels - front:2 side:0 back:0 lfe:0 top:0
[Child 94: MediaPDecoder #3]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::HandleDecodedResult: sample[2517333,2560000] (decoded[2517333,2559999] no trimming needed
[RDD 271: MediaPDecoder #2]: V/PlatformDecoderModule GetVideoBuffer: aCodecContext=7f3f97551d00 aFrame=7f3f9750de00
[RDD 271: MediaPDecoder #2]: D/PlatformDecoderModule FFMPEG: Got one frame output with pts=333334 dts=-9223372036854775808 duration=33333 opaque=-9223372036854775808
[Child 94: MediaPDecoder #3]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::PrepareTrimmers: sample[2560000,2602666] no trimming information
[libfdk_aac @ 0x7f3f97552200] 2 channels - front:2 side:0 back:0 lfe:0 top:0
[Child 94: MediaPDecoder #1]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::HandleDecodedResult: sample[2560000,2602666] (decoded[2560000,2602666] no trimming needed
[RDD 271: MediaPDecoder #1]: V/PlatformDecoderModule GetVideoBuffer: aCodecContext=7f3f97551d00 aFrame=7f3f9750de00
[RDD 271: MediaPDecoder #1]: D/PlatformDecoderModule FFMPEG: Got one frame output with pts=533334 dts=-9223372036854775808 duration=33333 opaque=-9223372036854775808
[RDD 271: MediaPDecoder #3]: V/PlatformDecoderModule GetVideoBuffer: aCodecContext=7f3f97551d00 aFrame=7f3f9750de00
[RDD 271: MediaPDecoder #3]: D/PlatformDecoderModule FFMPEG: Got one frame output with pts=433334 dts=-9223372036854775808 duration=33333 opaque=-9223372036854775808
[Child 94: MediaPDecoder #1]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::PrepareTrimmers: sample[2602666,2645333] no trimming information
[libfdk_aac @ 0x7f3f97552200] 2 channels - front:2 side:0 back:0 lfe:0 top:0
[Child 94: MediaPDecoder #3]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::HandleDecodedResult: sample[2602666,2645333] (decoded[2602666,2645332] no trimming needed
[RDD 271: MediaPDecoder #2]: V/PlatformDecoderModule GetVideoBuffer: aCodecContext=7f3f97551d00 aFrame=7f3f9750de00
[RDD 271: MediaPDecoder #2]: D/PlatformDecoderModule FFMPEG: Got one frame output with pts=400000 dts=-9223372036854775808 duration=33334 opaque=-9223372036854775808
[Child 94: MediaPDecoder #3]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::PrepareTrimmers: sample[2645333,2688000] no trimming information
[libfdk_aac @ 0x7f3f97552200] 2 channels - front:2 side:0 back:0 lfe:0 top:0
[Child 94: MediaPDecoder #2]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::HandleDecodedResult: sample[2645333,2688000] (decoded[2645333,2687999] no trimming needed
[RDD 271: MediaPDecoder #1]: V/PlatformDecoderModule GetVideoBuffer: aCodecContext=7f3f97551d00 aFrame=7f3f9750de00
[RDD 271: MediaPDecoder #1]: D/PlatformDecoderModule FFMPEG: Got one frame output with pts=466667 dts=-9223372036854775808 duration=33333 opaque=-9223372036854775808
[RDD 271: MediaPDecoder #4]: V/PlatformDecoderModule GetVideoBuffer: aCodecContext=7f3f97551d00 aFrame=7f3f9750de00
[RDD 271: MediaPDecoder #4]: D/PlatformDecoderModule FFMPEG: Got one frame output with pts=500000 dts=-9223372036854775808 duration=33334 opaque=-9223372036854775808
[RDD 271: MediaPDecoder #3]: V/PlatformDecoderModule GetVideoBuffer: aCodecContext=7f3f97551d00 aFrame=7f3f9750de00
[RDD 271: MediaPDecoder #3]: D/PlatformDecoderModule FFMPEG: Got one frame output with pts=700000 dts=-9223372036854775808 duration=33334 opaque=-9223372036854775808
[Child 94: MediaPDecoder #2]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::PrepareTrimmers: sample[2688000,2730666] no trimming information
[libfdk_aac @ 0x7f3f97552200] 2 channels - front:2 side:0 back:0 lfe:0 top:0
[Child 94: MediaPDecoder #3]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::HandleDecodedResult: sample[2688000,2730666] (decoded[2688000,2730666] no trimming needed
[Child 94: MediaPDecoder #3]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::PrepareTrimmers: sample[2730666,2773333] no trimming information
[libfdk_aac @ 0x7f3f97552200] 2 channels - front:2 side:0 back:0 lfe:0 top:0
[Child 94: MediaPDecoder #2]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::HandleDecodedResult: sample[2730666,2773333] (decoded[2730666,2773332] no trimming needed
[Child 94: MediaPDecoder #2]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::PrepareTrimmers: sample[2773333,2816000] no trimming information
[libfdk_aac @ 0x7f3f97552200] 2 channels - front:2 side:0 back:0 lfe:0 top:0
[Child 94: MediaPDecoder #1]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::HandleDecodedResult: sample[2773333,2816000] (decoded[2773333,2815999] no trimming needed
[RDD 271: MediaPDecoder #4]: V/PlatformDecoderModule GetVideoBuffer: aCodecContext=7f3f97551d00 aFrame=7f3f9750de00
[RDD 271: MediaPDecoder #4]: D/PlatformDecoderModule FFMPEG: Got one frame output with pts=600000 dts=-9223372036854775808 duration=33334 opaque=-9223372036854775808
[Child 94: MediaPDecoder #1]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::PrepareTrimmers: sample[2816000,2858666] no trimming information
[libfdk_aac @ 0x7f3f97552200] 2 channels - front:2 side:0 back:0 lfe:0 top:0
[Child 94: MediaPDecoder #3]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::HandleDecodedResult: sample[2816000,2858666] (decoded[2816000,2858666] no trimming needed
[RDD 271: MediaPDecoder #3]: V/PlatformDecoderModule GetVideoBuffer: aCodecContext=7f3f97551d00 aFrame=7f3f9750de00
[RDD 271: MediaPDecoder #3]: D/PlatformDecoderModule FFMPEG: Got one frame output with pts=566667 dts=-9223372036854775808 duration=33333 opaque=-9223372036854775808
[RDD 271: MediaPDecoder #2]: V/PlatformDecoderModule GetVideoBuffer: aCodecContext=7f3f97551d00 aFrame=7f3f9750de00
[RDD 271: MediaPDecoder #2]: D/PlatformDecoderModule FFMPEG: Got one frame output with pts=633334 dts=-9223372036854775808 duration=33333 opaque=-9223372036854775808
[RDD 271: MediaPDecoder #4]: V/PlatformDecoderModule GetVideoBuffer: aCodecContext=7f3f97551d00 aFrame=7f3f9750de00
[RDD 271: MediaPDecoder #4]: D/PlatformDecoderModule FFMPEG: Got one frame output with pts=666667 dts=-9223372036854775808 duration=33333 opaque=-9223372036854775808
[RDD 271: MediaPDecoder #1]: V/PlatformDecoderModule GetVideoBuffer: aCodecContext=7f3f97551d00 aFrame=7f3f9750de00
[RDD 271: MediaPDecoder #1]: D/PlatformDecoderModule FFMPEG: Got one frame output with pts=866667 dts=-9223372036854775808 duration=33333 opaque=-9223372036854775808
[Child 94: MediaPDecoder #3]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::PrepareTrimmers: sample[2858666,2901333] no trimming information
[libfdk_aac @ 0x7f3f97552200] 2 channels - front:2 side:0 back:0 lfe:0 top:0
[Child 94: MediaPDecoder #2]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::HandleDecodedResult: sample[2858666,2901333] (decoded[2858666,2901332] no trimming needed
[Child 94: MediaPDecoder #2]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::PrepareTrimmers: sample[2901333,2944000] no trimming information
[libfdk_aac @ 0x7f3f97552200] 2 channels - front:2 side:0 back:0 lfe:0 top:0
[Child 94: MediaPDecoder #1]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::HandleDecodedResult: sample[2901333,2944000] (decoded[2901333,2943999] no trimming needed
[Child 94: MediaPDecoder #1]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::PrepareTrimmers: sample[2944000,2986666] no trimming information
[libfdk_aac @ 0x7f3f97552200] 2 channels - front:2 side:0 back:0 lfe:0 top:0
[Child 94: MediaPDecoder #2]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::HandleDecodedResult: sample[2944000,2986666] (decoded[2944000,2986666] no trimming needed
[RDD 271: MediaPDecoder #1]: V/PlatformDecoderModule GetVideoBuffer: aCodecContext=7f3f97551d00 aFrame=7f3f9750de00
[RDD 271: MediaPDecoder #1]: D/PlatformDecoderModule FFMPEG: Got one frame output with pts=766667 dts=-9223372036854775808 duration=33333 opaque=-9223372036854775808
[RDD 271: MediaPDecoder #3]: V/PlatformDecoderModule GetVideoBuffer: aCodecContext=7f3f97551d00 aFrame=7f3f9750de00
[RDD 271: MediaPDecoder #3]: D/PlatformDecoderModule FFMPEG: Got one frame output with pts=733334 dts=-9223372036854775808 duration=33333 opaque=-9223372036854775808
[RDD 271: MediaPDecoder #2]: V/PlatformDecoderModule GetVideoBuffer: aCodecContext=7f3f97551d00 aFrame=7f3f9750de00
[RDD 271: MediaPDecoder #2]: D/PlatformDecoderModule FFMPEG: Got one frame output with pts=800000 dts=-9223372036854775808 duration=33334 opaque=-9223372036854775808
[Child 94: MediaPDecoder #2]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::PrepareTrimmers: sample[2986666,3029333] no trimming information
[libfdk_aac @ 0x7f3f97552200] 2 channels - front:2 side:0 back:0 lfe:0 top:0
[Child 94: MediaPDecoder #3]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::HandleDecodedResult: sample[2986666,3029333] (decoded[2986666,3029332] no trimming needed
[RDD 271: MediaPDecoder #4]: V/PlatformDecoderModule GetVideoBuffer: aCodecContext=7f3f97551d00 aFrame=7f3f9750de00
[RDD 271: MediaPDecoder #4]: D/PlatformDecoderModule FFMPEG: Got one frame output with pts=833334 dts=-9223372036854775808 duration=33333 opaque=-9223372036854775808
[RDD 271: MediaPDecoder #3]: V/PlatformDecoderModule GetVideoBuffer: aCodecContext=7f3f97551d00 aFrame=7f3f9750de00
[RDD 271: MediaPDecoder #3]: D/PlatformDecoderModule FFMPEG: Got one frame output with pts=1033334 dts=-9223372036854775808 duration=33333 opaque=-9223372036854775808
[Child 94: MediaPDecoder #3]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::PrepareTrimmers: sample[3029333,3072000] no trimming information
[libfdk_aac @ 0x7f3f97552200] 2 channels - front:2 side:0 back:0 lfe:0 top:0
[Child 94: MediaPDecoder #1]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::HandleDecodedResult: sample[3029333,3072000] (decoded[3029333,3071999] no trimming needed
[Child 94: MediaPDecoder #1]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::PrepareTrimmers: sample[3072000,3114666] no trimming information
[libfdk_aac @ 0x7f3f97552200] 2 channels - front:2 side:0 back:0 lfe:0 top:0
[Child 94: MediaPDecoder #3]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::HandleDecodedResult: sample[3072000,3114666] (decoded[3072000,3114666] no trimming needed
[RDD 271: MediaPDecoder #4]: V/PlatformDecoderModule GetVideoBuffer: aCodecContext=7f3f97551d00 aFrame=7f3f9750de00
[Child 94: MediaPDecoder #3]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::PrepareTrimmers: sample[3114666,3157333] no trimming information
[libfdk_aac @ 0x7f3f97552200] 2 channels - front:2 side:0 back:0 lfe:0 top:0
[Child 94: MediaPDecoder #2]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::HandleDecodedResult: sample[3114666,3157333] (decoded[3114666,3157332] no trimming needed
[RDD 271: MediaPDecoder #4]: D/PlatformDecoderModule FFMPEG: Got one frame output with pts=933334 dts=-9223372036854775808 duration=33333 opaque=-9223372036854775808
[RDD 271: MediaPDecoder #1]: V/PlatformDecoderModule GetVideoBuffer: aCodecContext=7f3f97551d00 aFrame=7f3f9750de00
[RDD 271: MediaPDecoder #1]: D/PlatformDecoderModule FFMPEG: Got one frame output with pts=900000 dts=-9223372036854775808 duration=33334 opaque=-9223372036854775808
[Child 94: MediaPDecoder #2]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::PrepareTrimmers: sample[3157333,3200000] no trimming information
[libfdk_aac @ 0x7f3f97552200] 2 channels - front:2 side:0 back:0 lfe:0 top:0
[Child 94: MediaPDecoder #3]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::HandleDecodedResult: sample[3157333,3200000] (decoded[3157333,3199999] no trimming needed
[RDD 271: MediaPDecoder #3]: V/PlatformDecoderModule GetVideoBuffer: aCodecContext=7f3f97551d00 aFrame=7f3f9750de00
[RDD 271: MediaPDecoder #3]: D/PlatformDecoderModule FFMPEG: Got one frame output with pts=966667 dts=-9223372036854775808 duration=33333 opaque=-9223372036854775808
[RDD 271: MediaPDecoder #4]: V/PlatformDecoderModule GetVideoBuffer: aCodecContext=7f3f97551d00 aFrame=7f3f9750de00
[RDD 271: MediaPDecoder #4]: D/PlatformDecoderModule FFMPEG: Got one frame output with pts=1000000 dts=-9223372036854775808 duration=33334 opaque=-9223372036854775808
[Child 94: MediaPDecoder #3]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::PrepareTrimmers: sample[3200000,3242666] no trimming information
[libfdk_aac @ 0x7f3f97552200] 2 channels - front:2 side:0 back:0 lfe:0 top:0
[Child 94: MediaPDecoder #2]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::HandleDecodedResult: sample[3200000,3242666] (decoded[3200000,3242666] no trimming needed
[RDD 271: MediaPDecoder #2]: V/PlatformDecoderModule GetVideoBuffer: aCodecContext=7f3f97551d00 aFrame=7f3f9750de00
[RDD 271: MediaPDecoder #2]: D/PlatformDecoderModule FFMPEG: Got one frame output with pts=1166667 dts=-9223372036854775808 duration=33333 opaque=-9223372036854775808
[Child 94: MediaPDecoder #2]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::PrepareTrimmers: sample[3242666,3285333] no trimming information
[libfdk_aac @ 0x7f3f97552200] 2 channels - front:2 side:0 back:0 lfe:0 top:0
[Child 94: MediaPDecoder #3]: V/PlatformDecoderModule AudioTrimmer[7f269f0e7100] ::HandleDecodedResult: sample[3242666,3285333] (decoded[3242666,3285332] no trimming needed
[RDD 271: MediaPDecoder #1]: V/PlatformDecoderModule GetVideoBuffer: aCodecContext=7f3f97551d00 aFrame=7f3f9750de00
[RDD 271: MediaPDecoder #1]: D/PlatformDecoderModule FFMPEG: Got one frame output with pts=1100000 dts=-9223372036854775808 duration=33334 opaque=-9223372036854775808
[RDD 271: MediaPDecoder #4]: V/PlatformDecoderModule GetVideoBuffer: aCodecContext=7f3f97551d00 aFrame=7f3f9750de00
[RDD 271: MediaPDecoder #4]: D/PlatformDecoderModule FFMPEG: Got one frame output with pts=1066667 dts=-9223372036854775808 duration=33333 opaque=-9223372036854775808
[RDD 271: MediaPDecoder #2]: V/PlatformDecoderModule GetVideoBuffer: aCodecContext=7f3f97551d00 aFrame=7f3f9750de00
[RDD 271: MediaPDecoder #2]: D/PlatformDecoderModule FFMPEG: Got one frame output with pts=1133334 dts=-9223372036854775808 duration=33333 opaque=-9223372036854775808
[RDD 271: MediaPDecoder #3]: V/PlatformDecoderModule GetVideoBuffer: aCodecContext=7f3f97551d00 aFrame=7f3f9750de00
[RDD 271: MediaPDecoder #3]: D/PlatformDecoderModule FFMPEG: Got one frame output with pts=1333334 dts=-9223372036854775808 duration=33333 opaque=-9223372036854775808
[RDD 271: MediaPDecoder #1]: V/PlatformDecoderModule GetVideoBuffer: aCodecContext=7f3f97551d00 aFrame=7f3f9750de00
[RDD 271: MediaPDecoder #1]: D/PlatformDecoderModule FFMPEG: Got one frame output with pts=1233334 dts=-9223372036854775808 duration=33333 opaque=-9223372036854775808
[libopenh264 @ 0x7f3f97551d00] [OpenH264] this = 0x0x7f3f953c2000, Info:CWelsDecoder::~CWelsDecoder()
[libopenh264 @ 0x7f3f97551d00] [OpenH264] this = 0x0x7f3f953c2000, Info:CWelsDecoder::UninitDecoderCtx(), openh264 codec version = d13f170.
[libopenh264 @ 0x7f3f97551d00] [OpenH264] this = 0x0x7f3f953c2000, Info:CWelsDecoder::UninitDecoder(), verify memory usage (0 bytes) after free..
Flags: needinfo?(jan)

(But it has frame drops, it stutters a bit. org.freedesktop.Platform.openh264 version 2.1.0)

(In reply to Paul Hands from comment #43)

Bingo! Reinstalling FFMPEG 5 restores mozregression. The output is ....

8:16.92 INFO: Narrowed integration regression window from [62e1d235, 14a29694] (3 builds) to [62e1d235, 0c6b7084] (2 builds) (~1 steps left)
8:16.92 INFO: No more integration revisions, bisection finished.
8:16.92 INFO: Last good revision: 62e1d235191a869371affbf33c9769d7aef35646
8:16.92 INFO: First bad revision: 0c6b7084cdb596a7704efc258fecd6f760170618
8:16.92 INFO: Pushlog:
https://hg.mozilla.org/integration/autoland/pushloghtml?fromchange=62e1d235191a869371affbf33c9769d7aef35646&tochange=0c6b7084cdb596a7704efc258fecd6f760170618

Yes, that's the bugs where FFMPEG 5.0 support was added so Firefox uses that and breaks. If you have ffmpeg 5.0 installed please test latest nightly:
https://fedoraproject.org/wiki/How_to_debug_Firefox_problems?rd=Bug_info_Firefox#Testing_Mozilla_binaries
as ffmpeg 5.0 support is not quite finished yet (especially in 99).

If you see any problem please run with:
MOZ_LOG="PlatformDecoderModule:5, MediaFormatReader:5"
and attach the log here.

As for log in https://bugzilla.mozilla.org/show_bug.cgi?id=1764436#c41 - looks like ffmpeg 5.0 log to me or we're missing some ffmpeg parts here, as:

[Child 29715: Main Thread]: D/PlatformDecoderModule PDMInitializer, Init PDMs in Content process
[Child 29715: Main Thread]: D/PlatformDecoderModule FFMPEG: Couldn't load function av_frame_get_colorspace
[Child 29715: Main Thread]: D/PlatformDecoderModule FFMPEG: Couldn't load function av_frame_get_color_range

these symbols were removed in ffmpeg 5.0 but they're present in 4.x line.

Thanks.

Flags: needinfo?(jphands)
Status: RESOLVED → REOPENED
Ever confirmed: true
Resolution: DUPLICATE → ---
Status: REOPENED → NEW
Keywords: regression
OS: Unspecified → Linux
Regressed by: 1750760
Hardware: Unspecified → Desktop
Attachment #9274329 - Attachment mime type: application/octet-stream → text/plain
Attachment #9274104 - Attachment mime type: application/octet-stream → text/plain

OpenSUSE's ffmpeg 4 only provided fdk_aac, but no h264 (=no https://github.com/endlessm/noopenh264 like Flatpak to load openh264 from disk).
https://build.opensuse.org/package/show/openSUSE%3AFactory/ffmpeg-4
H264 decoding required a non-free external ffmpeg package: https://en.opensuse.org/SDB:Firefox_MP4/H.264_Video_Support

OpenSUSE's ffmpeg 5 does have fdk_aac and some new openh264 dlopen patch from Fedora, it tries to load libopenh264.so.6 if available.
https://build.opensuse.org/package/show/openSUSE%3AFactory/ffmpeg-5
https://build.opensuse.org/package/view_file/openSUSE:Factory/ffmpeg-5/ffmpeg-dlopen-openh264.patch
https://build.opensuse.org/package/view_file/openSUSE:Factory/ffmpeg-5/ffmpeg-openh264-averr-on-bad-version.patch

There is an experimental package for OpenSUSE Tumbleweed: https://software.opensuse.org/package/libopenh264-6

(In reply to Paul Hands from comment #25)

[RDD 24982: MediaPDecoder #2]: D/PlatformDecoderModule FFMPEG: codec libopenh264 : OpenH264 H.264 / AVC / MPEG-4 AVC / MPEG-4 part 10
[RDD 24982: MediaPDecoder #1]: D/PlatformDecoderModule FFMPEG: FFmpeg decoder init successful.
[RDD 24982: MediaPDecoder #2]: D/PlatformDecoderModule FFMPEG: Set get_buffer2 for customized buffer allocation
[libopenh264 @ 0x7f080cf2d400] Incorrect library version loaded
[RDD 24982: MediaPDecoder #2]: D/PlatformDecoderModule FFMPEG: Couldn't open avcodec

this error is from line 99: https://build.opensuse.org/package/view_file/openSUSE:Factory/ffmpeg-5/ffmpeg-dlopen-openh264.patch?expand=1
https://github.com/cisco/openh264/blob/0819f288dc5fc24fb34089113bc230aea65c8375/codec/encoder/plus/src/welsEncoderExt.cpp#L1388
https://github.com/cisco/openh264/blob/0819f288dc5fc24fb34089113bc230aea65c8375/codec/api/svc/codec_ver.h#L7

This comment explains the compared variables: https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/1206/diffs

g_stCodecVersion is the version detected at build time as defined in the headers and WelsGetCodecVersion() is the version detected at runtime.

Could it be that you have a community package of libopenh264-6 installed?
Likely you need the official "experimental" package and it needs to be the exact same version as used for the compilation of OpenSUSE's ffmpeg-5 package: https://software.opensuse.org/package/libopenh264-6

IMHO, bug 1619988 and bug 1663844 would be an ideal fix because OpenSUSE's ffmpeg has fdk_aac and Firefox could no longer be blamed for openh264 packaging problems.

(In reply to Darkspirit from comment #48)

IMHO, bug 1619988 and bug 1663844 would be an ideal fix because OpenSUSE's ffmpeg has fdk_aac and Firefox could no longer be blamed for openh264 packaging problems.

Yeah, that seems like it's probably the best way forward.

(In reply to Darkspirit from comment #48)

IMHO, bug 1619988 and bug 1663844 would be an ideal fix because OpenSUSE's ffmpeg has fdk_aac and Firefox could no longer be blamed for openh264 packaging problems.

That's used in Fedora already so Suse can take the patches from Fedora. But you also need to take Bug 1670333 to make it work better.

Depends on: 1670333
Depends on: 1663844

I see this is now marked as won't fix. Is there anything else you'd like me to test, or is this over now?

Flags: needinfo?(jphands)

Set release status flags based on info from the regressing bug 1750760

(In reply to Paul Hands from comment #51)

I see this is now marked as won't fix. Is there anything else you'd like me to test, or is this over now?

[libopenh264 @ 0x7f080cf2d400] Incorrect library version loaded

To fix the problem, you need to install the exact same version of https://software.opensuse.org/package/libopenh264-6 that was used to build OpenSuse's ffmpeg-5.

In case that's not possible, bug 1663844 would provide a fallback solution by allowing to use Firefox' internal OpenH264 plugin for video playback.

I suggest to report that to SUSE bug tracking system as this is a packaging problem on Suse side.

OK - I submitted https://bugzilla.opensuse.org/show_bug.cgi?id=1199210 against Tumbleweed.

Status: NEW → RESOLVED
Closed: 2 months ago25 days ago
Resolution: --- → INVALID
You need to log in before you can comment on or make changes to this bug.